clang-tools 8.0.0

Classes | Namespaces | Typedefs | Functions
Cancellation.h File Reference
`#include "Context.h"`
`#include "llvm/Support/Error.h"`
`#include <functional>`
`#include <system_error>`
Include dependency graph for Cancellation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::CancelledError
| Conventional error when no result is returned due to cancellation. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
using | clang::clangd::Canceler = std::function< void()>
| A canceller requests cancellation of a task, when called. More...

## Functions
std::pair< Context, Canceler > | clang::clangd::cancelableTask ()
| Defines a new task whose cancellation may be requested. More...
bool | clang::clangd::isCancelled (const Context &Ctx=Context::current())
| True if the current context is within a cancelable task which was cancelled. More...